---
title: /v2/advertisers/{advertiserId}/campaigns/{campaignId}/ad-groups/{adGroupId}/bid-modifiers/{bidModifierId}
slug: campaign-reporting-apis/v2advertisersadvertiseridcampaignscampaignidad-groupsadgroupidbid-modifiersbidmodifierid
docTags: 
createdAt: 2026-03-25T10:57:30.256Z
---

{
  "id": "5DVFDVxXVVbw-oMWk_jfp",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/ad-groups/{adGroupId}/bid-modifiers/{bidModifierId}",
    "servers": [
      {
        "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/ad-groups/{adGroupId}/bid-modifiers/{bidModifierId}",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "<p>Updates an attribute of the bid modifier specified by id. Attributes type, targets, value can\nbe updated.</p>\n<p><strong>Rules:</strong></p>\n<ul>\n<li>A single search term can appear only once in a bid modifier for the given campaign, otherwise it returns <em>CONFLICT</em> response code.</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "advertiserId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "campaignId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "adGroupId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "bidModifierId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "BidModifierRequest",
          "schema": [
            {
              "name": "type",
              "kind": "optional",
              "type": "string<SEARCH_TERMS | AUDIENCES>",
              "description": "",
              "example": "",
              "enum": [
                "SEARCH_TERMS",
                "AUDIENCES"
              ]
            },
            {
              "name": "audiences",
              "kind": "optional",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "integer",
              "customType": "integer[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "targets",
              "kind": "optional",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "value",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "example": 0,
              "format": "int32",
              "minimum": -100,
              "maximum": 900
            }
          ],
          "modelRef": "#/components/schemas/BidModifierRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "BidModifierResponse",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "example": 0,
                "format": "int32"
              },
              {
                "name": "type",
                "kind": "optional",
                "type": "string<SEARCH_TERMS | AUDIENCES>",
                "description": "",
                "example": "",
                "enum": [
                  "SEARCH_TERMS",
                  "AUDIENCES"
                ]
              },
              {
                "name": "targets",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "audiences",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/AudienceResponse",
                "customType": "AudienceResponse[]",
                "schema": [
                  {
                    "name": "audienceGroup",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "audiences",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/IdNameResponse",
                    "customType": "IdNameResponse[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "example": 0,
                        "format": "int32"
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": ""
                      }
                    ]
                  }
                ]
              },
              {
                "name": "value",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "example": 0,
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/BidModifierResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "Conflict",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Entity",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "QaxQIdcTZTSh5eYw7uZo6",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/ad-groups/{adGroupId}/bid-modifiers/{bidModifierId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "in8T83FALWOX6ew53bv3_",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/ad-groups/{adGroupId}/bid-modifiers/{bidModifierId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "cvDd_BCmWDc5ZSso1643r",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/ad-groups/{adGroupId}/bid-modifiers/{bidModifierId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "zTsOCi7Il3uzGcd6W5sYj",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/ad-groups/{adGroupId}/bid-modifiers/{bidModifierId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "QaxQIdcTZTSh5eYw7uZo6"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"id\": \"\",\n  \"type\": \"\",\n  \"targets\": [\n    \"\"\n  ],\n  \"audiences\": [\n    {\n      \"audienceGroup\": \"\",\n      \"audiences\": [\n        {\n          \"id\": \"\",\n          \"name\": \"\"\n        }\n      ]\n    }\n  ],\n  \"value\": \"\"\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-4-409",
          "language": "409",
          "code": "// Conflict\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-5-422",
          "language": "422",
          "code": "// Unprocessable Entity\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}